Bug 1284613 - Status of a deployment unit does not correspond to the reality
Status of a deployment unit does not correspond to the reality
Status: CLOSED NOTABUG
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
urgent Severity high
: ---
: ---
Assigned To: Marco Rietveld
Ivo Bek
: Regression, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 11:30 EST by Ivo Bek
Modified: 2016-09-20 01:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-25 03:55:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivo Bek 2015-11-23 11:30:59 EST
Description of problem:

When I request to create a new deployment unit via REST API. The responses returning status of the deployment contain UNDEPLOYED status instead of DEPLOYED status. (though the deployment unit is visible in Business Central - Deployment Units)

See the responses below:

create start

[2015-11-23 17:17:06,199] INFO - Response entity: [<?xml version="1.0" encoding="UTF-8" standalone="yes"?><deployment-job-result><identifier>8</identifier><operation>DEPLOY</operation><deploymentUnit><groupId>org.jboss</groupId><artifactId>remote-file-deployment</artifactId><version>1.0-SNAPSHOT</version><strategy>PER_PROCESS_INSTANCE</strategy><status>ACCEPTED</status></deploymentUnit><success>true</success><explanation>deploy job accepted.</explanation></deployment-job-result>]

[2015-11-23 17:17:06,226] INFO - Response entity: [<?xml version="1.0" encoding="UTF-8" standalone="yes"?><deployment-unit><groupId>org.jboss</groupId><artifactId>remote-file-deployment</artifactId><version>1.0-SNAPSHOT</version><status>UNDEPLOYED</status></deployment-unit>]

create end

[2015-11-23 17:17:06,251] INFO - Response entity: [<?xml version="1.0" encoding="UTF-8" standalone="yes"?><deployment-unit><groupId>org.jboss</groupId><artifactId>remote-file-deployment</artifactId><version>1.0-SNAPSHOT</version><status>UNDEPLOYED</status></deployment-unit>]

artifactId: remote-file-deployment
strategy: null

I remember that we had this issue before in some previous version of BPMS. I do not know what has changed but it was working in BPM Suite 6.1.x and BPM Suite 6.2.0.ER5 ... and in the last build of BPM Suite 6.2.0.CR1 it started returning the bad responses

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Upload any KJAR artifact manually (mvn deploy) into the Maven repository in bpms/bin/repositories/kie
2. Create deployment unit via REST API
3. Get deployment unit via REST API
4. See the status of deployment unit is UNDEPLOYED though the deployment unit was created and it exists in Business Central

Actual results:


Expected results:


Additional info:
Comment 4 Ivo Bek 2015-11-25 03:55:53 EST
Thank you Maciej for the patch and explanation of the changes.

Now it works and the tests pass according to the new behaviour of the deployment units.

Note You need to log in before you can comment on or make changes to this bug.